#
# spec file for package python-pytest-asyncio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define skip_python2 1

%{?!python_module:%define python_module() python3-%{**}}
Name:           python-pytest-asyncio
Version:        0.8.0
Release:        lp151.2.2
License:        Apache-2.0
Summary:        Pytest support for asyncio
Url:            https://github.com/pytest-dev/pytest-asyncio
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pytest-asyncio/pytest-asyncio-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel} >= 3.5
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
Requires:       python-pytest >= 3.0.6
Suggests:       python-async_generator >= 1.3
Suggests:       python-coverage
Suggests:       python-async_generator >= 1.3
BuildArch:      noarch

%python_subpackages

%description
pytest-asyncio is a Python library used for testing asyncio code with pytest.

asyncio code is usually written in the form of coroutines, which makes it
slightly more difficult to test using normal testing tools. pytest-asyncio
provides useful fixtures and markers to make testing easier.

%prep
%setup -q -n pytest-asyncio-%{version}
sed -ie '1i# -*- coding: utf-8 -*-' setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Jan  5 2018 alarrosa@suse.com
- Initial release of python-pytest-asyncio 0.8.0
